Description

Hi,

I have installed the latest foreman and smart proxy sources from git and while creating a solaris sparc host I always get the following

error:

Failed to set the DHCP record: DNS result has no information for http

Looking at the proxy log I can see that the DNS entry is created successfully:

D, [2011-08-12T16:37:32.602576 #21314] DEBUG -- : nsupdate: executed - update add freeman.a.space.corp.  86400 A

172.28.16.60

and then it is deleted, I guess because of the error

D, [2011-08-12T16:37:32.711355 #21314] DEBUG -- : nsupdate: executed - update delete freeman.a.space.corp A

D, [2011-08-12T16:37:32.806751 #21314] DEBUG -- : nsupdate: executed - update delete 60.16.28.172.in-addr.arpa PTR

This error only applies when creating Solaris Sparc hosts.

Please help. :)

History

#1 - 08/12/2011 02:54 PM - Ohad Levy

- Assignee set to Paul Kelly

#2 - 08/12/2011 02:55 PM - Ohad Levy

can you please provide your foreman logs too?

#3 - 09/06/2011 04:03 PM - Oliver Weinmann

Hi,

currently I have problems creating any host in foreman ticket #1154. Once that is fixed I will try to deploy a Solaris host again. Maybe the issue is

already solved.

Regards,

Oliver

#4 - 09/19/2011 06:11 AM - Oliver Weinmann

Hi,

ok deployment is now functional again with my MS dhcp server. Unfortunately I still receive the error when delploying a solaris Sparc host.

Regards,
Oliver

#5 - 09/19/2011 08:08 AM - Oliver Weinmann

Hi,

ohadlevy pointed me into the right direction.

I had to change the urls under installation media to read:

hostname:/path_to_solaris

instead of

nfs://hostname/

BTW openboot prom 3.25 is needed to deploy solaris sparc hosts. I have 3.19 installed and this is not capable of booting from dhcp

Thanks and Regards,

Oliver

#6 - 09/22/2011 03:05 AM - Oliver Weinmann

Hi,

I was able to get this solved with Ohads help. On the installation media screen the paths were set to nfs://hostname/path instead of just

hostname:/path. Maybe it is a good idea to show some examples when selecting Solaris or tighten the regex on the fields?

Regards,

Oliver

#7 - 12/21/2011 03:50 AM - Ohad Levy

so this is really a foreman error vs the proxy?

#8 - 12/27/2011 04:34 AM - Oliver Weinmann

Hi Ohad,

Yes the error is on foreman. Either changing the regex on the install media page or showing some examples would be helpful. One more minor thing.

The hardware model field has to be mandatory. Otherwise foreman reports an error while creating a Solaris Sparc host.

undefined method `vendor_class' for nil:NilClass

#9 - 10/25/2012 11:05 AM - Oliver Weinmann

working fine in 1.0.1. Can be closed.

#10 - 10/25/2012 11:45 AM - Ohad Levy

- Status changed from New to Resolved
